/** 隨機產生唯一ID(GUID)
 * Randomly generate unique ID
 */
function get_str_GUID() {
	var date_ary = new Array();
	var sdate = new Date();
	var en_str = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	var date_ary_temp;
	var date_ary_index;
	date_ary[0] = sdate.getFullYear().toString();
	date_ary[1] = sdate.getMonth().toString();
	date_ary[2] = sdate.getDate().toString();
	date_ary[3] = sdate.getHours().toString();
	date_ary[4] = sdate.getHours().toString();
	date_ary[5] = sdate.getMinutes().toString();
	date_ary[6] = sdate.getSeconds().toString();
	date_ary[7] = sdate.getMilliseconds().toString();
	date_ary[8] = en_str.substr(Math.floor(Math.random()*26),1);
	date_ary[9] = en_str.substr(Math.floor(Math.random()*26),1);

	for(var i = 0 ; i < 10 ; i++){
		date_ary_index = Math.floor(Math.random()*10);
		date_ary_temp = date_ary[i];
		date_ary[i] = date_ary[date_ary_index];
		date_ary[date_ary_index] = date_ary_temp;
	}

	return (date_ary.join(''));
}